function get_dataset_list()
{
	var publisher_items = [];
	var rubric_items = [];
	var page_num;
	if ($( ".publisher_from_get" ).html() != '') {publisher_items[publisher_items.length] = $( ".publisher_from_get" ).html();} else $( ".publisher_item" ).each(function( index ) {
		if ($(this).hasClass("selected")) publisher_items[publisher_items.length] = $( this).attr( "id").replace('publisher_','');
	});
	if ($( ".rubric_from_get" ).html() != '') {rubric_items[rubric_items.length] = $( ".rubric_from_get" ).html();} else $( ".rubric_item" ).each(function( index ) {
		if ($(this).hasClass("selected")) rubric_items[rubric_items.length] = $( this).attr( "id").replace('rubric_','');
	});

	if ($("div").is(".current_page")) page_num = $(".current_page").html(); else page_num = 1;
	
	//console.log("success");
	
	$.post(
	'dataset_list_request.php',
	{
		publisher_item:publisher_items,
		rubric_item:rubric_items,
		sort:$(".selectpicker_sort").val(),
		count:$(".selectpicker_count").val(),
		q:$('.data_search_main_q').val(),
		page:page_num
	},
	function(data) {
		$('.dataset_list').html(data);
	});
}

function select_publisher(el)
{
	$(el).toggleClass("selected");
	get_dataset_list();
}

function select_rubric(el)
{
	$(el).toggleClass("selected");
	get_dataset_list();
}